Subject: Re: bug#10489: 24.0.92; dired-do-copy may create infinite directory hierarchy

From: Michael Albinus <[email-masked]>
Date: Sun, 26 Feb 2012 10:21:42 +0100

Stefan Monnier <[email-masked]> writes:

>>> It will be hard to detect that /sudo::/foo is equal to file:///foo.
>
> Maybe (in this case it might be reasonably easy, but of course there are
> harder cases).

We would need a function `file-local-representation' or something like
this, which returns "/foo" in both file name handler implementations.
Tramp's file name handler doesn't know of URL syntax, and vice versa.

And no, I do NOT propose to add this. Sounds like overengineering to me.

>         Stefan

Best regards, Michael.